## WDS Get Profile Settings WDS Get Profile Settings |

## Functions

QmiMessageWdsGetProfileSettingsInput * | qmi_message_wds_get_profile_settings_input_new ()
QmiMessageWdsGetProfileSettingsInput * | qmi_message_wds_get_profile_settings_input_ref ()
void | qmi_message_wds_get_profile_settings_input_unref ()
gboolean | qmi_message_wds_get_profile_settings_input_get_profile_id ()
gboolean | qmi_message_wds_get_profile_settings_input_set_profile_id ()
QmiMessageWdsGetProfileSettingsOutput * | qmi_message_wds_get_profile_settings_output_ref ()
void | qmi_message_wds_get_profile_settings_output_unref ()
gboolean | qmi_message_wds_get_profile_settings_output_get_result ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv6_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_profile_name ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_type ()
gboolean | qmi_message_wds_get_profile_settings_output_get_apn_name ()
gboolean | qmi_message_wds_get_profile_settings_output_get_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_get_profile_settings_output_get_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_get_profile_settings_output_get_gprs_requested_qos ()
gboolean | qmi_message_wds_get_profile_settings_output_get_gprs_minimum_qos ()
gboolean | qmi_message_wds_get_profile_settings_output_get_username ()
gboolean | qmi_message_wds_get_profile_settings_output_get_password ()
gboolean | qmi_message_wds_get_profile_settings_output_get_authentication ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv4_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_pco ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_dhcp ()
gboolean | qmi_message_wds_get_profile_settings_output_get_imcn_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv6_primary_dns_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv6_secondary_dns_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_extended_error_code ()
void | qmi_client_wds_get_profile_settings ()
QmiMessageWdsGetProfileSettingsOutput * | qmi_client_wds_get_profile_settings_finish ()

## Types and Values

| QmiMessageWdsGetProfileSettingsInput
| QmiMessageWdsGetProfileSettingsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetProfileSettingsInput
        ╰── QmiMessageWdsGetProfileSettingsOutput

## Description

## Functions

### qmi_message_wds_get_profile_settings_input_new ()

    QmiMessageWdsGetProfileSettingsInput *
    qmi_message_wds_get_profile_settings_input_new
                                   (void);

Allocates a new QmiMessageWdsGetProfileSettingsInput.

#### Returns

the newly created QmiMessageWdsGetProfileSettingsInput. The returned value should be freed with `qmi_message_wds_get_profile_settings_input_unref()`.

### qmi_message_wds_get_profile_settings_input_ref ()

    QmiMessageWdsGetProfileSettingsInput *
    qmi_message_wds_get_profile_settings_input_ref
                                   (QmiMessageWdsGetProfileSettingsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |

#### Returns

the new reference to `self` .

### qmi_message_wds_get_profile_settings_input_unref ()

    void
    qmi_message_wds_get_profile_settings_input_unref
                                   (QmiMessageWdsGetProfileSettingsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |

### qmi_message_wds_get_profile_settings_input_get_profile_id ()

    gboolean
    qmi_message_wds_get_profile_settings_input_get_profile_id
                                   (QmiMessageWdsGetProfileSettingsInput *self,
                                    QmiWdsProfileType *profile_id_profile_type,
                                    guint8 *profile_id_profile_index,
                                    GError **error);

Get the 'Profile ID' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |
profile_id_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
profile_id_profile_index | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_input_set_profile_id ()

    gboolean
    qmi_message_wds_get_profile_settings_input_set_profile_id
                                   (QmiMessageWdsGetProfileSettingsInput *self,
                                    QmiWdsProfileType profile_id_profile_type,
                                    guint8 profile_id_profile_index,
                                    GError **error);

Set the 'Profile ID' field in the message.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |
profile_id_profile_type | a QmiWdsProfileType. |
profile_id_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_ref ()

    QmiMessageWdsGetProfileSettingsOutput *
    qmi_message_wds_get_profile_settings_output_ref
                                   (QmiMessageWdsGetProfileSettingsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |

#### Returns

the new reference to `self` .

### qmi_message_wds_get_profile_settings_output_unref ()

    void
    qmi_message_wds_get_profile_settings_output_unref
                                   (QmiMessageWdsGetProfileSettingsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |

### qmi_message_wds_get_profile_settings_output_get_result ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_result
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_wds_get_profile_settings_output_get_ipv6_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv6_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GArray **ipv6_address_preference_address,
                                    GError **error);

Get the 'IPv6 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
ipv6_address_preference_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_profile_name ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_profile_name
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **profile_name,
                                    GError **error);

Get the 'Profile Name' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
profile_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_pdp_type ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_type
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsPdpType *pdp_type,
                                    GError **error);

Get the 'PDP Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
pdp_type | a placeholder for the output QmiWdsPdpType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_apn_name ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_apn_name
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **apn_name,
                                    GError **error);

Get the 'APN Name' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
apn_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_primary_ipv4_dns_address
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *primary_ipv4_dns_address,
                                    GError **error);

Get the 'Primary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
primary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_secondary_ipv4_dns_address
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *secondary_ipv4_dns_address,
                                    GError **error);

Get the 'Secondary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
secondary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_gprs_requested_qos ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_gprs_requested_qos
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *gprs_requested_qos_precedence_class,
                                    guint32 *gprs_requested_qos_delay_class,
                                    guint32 *gprs_requested_qos_reliability_class,
                                    guint32 *gprs_requested_qos_peak_throughput_class,
                                    guint32 *gprs_requested_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Requested QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
gprs_requested_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_requested_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_requested_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_requested_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_requested_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_gprs_minimum_qos ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_gprs_minimum_qos
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *gprs_minimum_qos_precedence_class,
                                    guint32 *gprs_minimum_qos_delay_class,
                                    guint32 *gprs_minimum_qos_reliability_class,
                                    guint32 *gprs_minimum_qos_peak_throughput_class,
                                    guint32 *gprs_minimum_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Minimum QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
gprs_minimum_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_minimum_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_minimum_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_minimum_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
gprs_minimum_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_username ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_username
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **username,
                                    GError **error);

Get the 'Username' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
username | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_password ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_password
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **password,
                                    GError **error);

Get the 'Password' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
password | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_authentication ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_authentication
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsAuthentication *authentication,
                                    GError **error);

Get the 'Authentication' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
authentication | a placeholder for the output QmiWdsAuthentication, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_ipv4_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv4_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *ipv4_address_preference,
                                    GError **error);

Get the 'IPv4 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
ipv4_address_preference | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_pco ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_pco
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *pcscf_address_using_pco,
                                    GError **error);

Get the 'PCSCF Address Using PCO' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
pcscf_address_using_pco | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_dhcp ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_dhcp
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *pcscf_address_using_dhcp,
                                    GError **error);

Get the 'PCSCF Address Using DHCP' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
pcscf_address_using_dhcp | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_imcn_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_imcn_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *imcn_flag,
                                    GError **error);

Get the 'IMCN Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
imcn_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_ipv6_primary_dns_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv6_primary_dns_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GArray **ipv6_primary_dns_address_preference,
                                    GError **error);

Get the 'IPv6 Primary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
ipv6_primary_dns_address_preference | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_ipv6_secondary_dns_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv6_secondary_dns_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GArray **ipv6_secondary_dns_address_preference,
                                    GError **error);

Get the 'IPv6 Secondary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
ipv6_secondary_dns_address_preference | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_wds_get_profile_settings_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_extended_error_code
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsDsProfileError *extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_wds_get_profile_settings ()

    void
    qmi_client_wds_get_profile_settings (QmiClientWds *self,
                                         QmiMessageWdsGetProfileSettingsInput *input,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Get Profile Settings request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_profile_settings_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetProfileSettingsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_wds_get_profile_settings_finish ()

    QmiMessageWdsGetProfileSettingsOutput *
    qmi_client_wds_get_profile_settings_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_profile_settings()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_profile_settings()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetProfileSettingsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_profile_settings_output_unref()`.

## Types and Values

### QmiMessageWdsGetProfileSettingsInput

    typedef struct _QmiMessageWdsGetProfileSettingsInput QmiMessageWdsGetProfileSettingsInput;

The QmiMessageWdsGetProfileSettingsInput structure contains private data and should only be accessed using the provided API.

### QmiMessageWdsGetProfileSettingsOutput

    typedef struct _QmiMessageWdsGetProfileSettingsOutput QmiMessageWdsGetProfileSettingsOutput;

The QmiMessageWdsGetProfileSettingsOutput structure contains private data and should only be accessed using the provided API.